%define name wedit
%define version 0.9.8
%define release 1mdk

Summary: User-friendly IDE
Name: %{name}
Version: %{version}
Release: %{release}
Source: %{name}-%{version}-libc6-src.tar.bz2
License: GPL
URL: http://www.q-software-solutions.com/weditlinux/
Group: Development/Other
Buildroot: %{_tmppath}/%{name}-buildroot

%description
User-friendly IDE with many advanced features like real-time code parsing,
auto-complete and more 
Project wizard, automatic generation of GNU makefiles and Automake/Autoconf
skeletons 
Powerful search and grep capabilities, change-tracking and visual diff 
Drag & drop 
Fully supports GNU C and LCC compilers, customizable makefile generation and 
build. 
Fast run-time source parsing supports syntax coloring and autoformating of C, 
Fortran, and Eiffel sources. 
Complete analysis of source code and object files, many charts and plots 
Intergated debugger that allows local or remote debugging 

%prep
rm -rf $RPM_BUILD_ROOT

%setup -n %{name}-%{version}

%build

%configure

%make

%install

make DESTDIR=$RPM_BUILD_ROOT install

(cd $RPM_BUILD_ROOT
mkdir -p ./usr/lib/menu
cat > ./usr/lib/menu/%{name} <<EOF
?package(%{name}):\
command="/usr/bin/wedit"\
title="Wedit"\
longtitle="User-friendly IDE"\
needs="x11"\
section="Applications/Development/Development environments"
EOF
)
 
%post
%update_menus
 
%postun
%clean_menus

%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-,root,root)
%doc AUTHORS INSTALL COPYING NEWS README ChangeLog
%{_bindir}/*
%{_datadir}/%{name}
%{_menudir}/*

%changelog
* Mon Apr 02 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.9.8-1mdk
- updated to 0.9.8

* Wed Feb 14 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.9.6-1mdk
- updated to 0.9.6

* Tue Nov 7 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.9.4-1mdk
- new in contribs
